export default {
  // 获取url后的参数
  getQuery(url) {
    if (url == null) {
      return null;
    }
    const index = url.indexOf('?');
    if (index > -1) {
      return url.substring(index + 1);
    }
    return null;
  },
  // 对象转字符串
  parametersToQuery(parameters) {
    const pairs = [];
    for (const key of Object.keys(parameters)) {
      pairs.push(`${encodeURIComponent(key)}=${encodeURIComponent(parameters[key])}`);
    }
    return pairs.join('&');
  },
  // 字符串转对象
  queryToParameters(query) {
    const results = {};
    if (query == null) {
      return results;
    }
    const parametersCombined = {};
    const pairs = query.split('&');
    for (const pair of pairs) {
      const keyValue = pair.split('=');
      const key = decodeURIComponent(keyValue[0]);
      const value = decodeURIComponent(keyValue[1]);
      if (parametersCombined[key] != null) {
        parametersCombined[key].push(value);
      } else {
        const values = [];
        values.push(value);
        parametersCombined[key] = values;
      }
    }
    for (const key of Object.keys(parametersCombined)) {
      const values = parametersCombined[key];
      values.sort();
      let value = values[0];
      for (let i = 1; i < values.lenght; i += 1) {
        value = value + key + values[i];
      }
      results[key] = value;
    }
    return results;
  },

};